import { Extension } from '@codemirror/state';
import { LRLanguage } from '@codemirror/language';
import { CompleteStrategy } from './complete';
import { DQLClient } from './client';
import { LintStrategy } from './lint';
export declare function DQLLanguage(): LRLanguage;
export declare class DQLExtension {
    private complete;
    private lint;
    private enableCompletion;
    private enableLinter;
    constructor();
    setComplete(dqlClent: DQLClient): DQLExtension;
    getComplete(): CompleteStrategy;
    activateCompletion(activate: boolean): DQLExtension;
    setLinter(linter: LintStrategy): DQLExtension;
    getLinter(): LintStrategy;
    activateLinter(activate: boolean): DQLExtension;
    asExtension(): Extension;
}
