"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Matcher = void 0;
var lezer_dql_1 = require("@cloudcare/lezer-dql");
var Matcher = /** @class */ (function () {
    function Matcher(type, name, value) {
        this.type = type;
        this.name = name;
        this.value = value;
    }
    Matcher.prototype.matchesEmpty = function () {
        switch (this.type) {
            case lezer_dql_1.EqlSingle:
                return this.value === '';
            case lezer_dql_1.Neq:
                return this.value !== '';
            default:
                return false;
        }
    };
    return Matcher;
}());
exports.Matcher = Matcher;
//# sourceMappingURL=matcher.js.map